JSON-encoded array of TaskMessageEntityFilter objects.
Schema: {
"$defs": {
"DataContentEntityOptional": {
"properties": {
"type": {
"anyOf": [
{
"const": "data",
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The type of the message, in this case data.",
"title": "Type"
},
"author": {
"anyOf": [
{
"$ref": "#/$defs/MessageAuthor"
},
{
"type": "null"
}
],
"default": null,
"description": "The role of the messages author, in this case system, user, assistant, or tool."
},
"style": {
"anyOf": [
{
"$ref": "#/$defs/MessageStyle"
},
{
"type": "null"
}
],
"default": null,
"description": "The style of the message. This is used by the client to determine how to display the message."
},
"data": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"default": null,
"description": "The contents of the data message.",
"title": "Data"
}
},
"title": "DataContentEntityOptional",
"type": "object"
},
"FileAttachmentEntity": {
"description": "Represents a file attachment in messages.",
"properties": {
"file_id": {
"description": "The unique ID of the attached file",
"title": "File Id",
"type": "string"
},
"name": {
"description": "The name of the file",
"title": "Name",
"type": "string"
},
"size": {
"description": "The size of the file in bytes",
"title": "Size",
"type": "integer"
},
"type": {
"description": "The MIME type or content type of the file",
"title": "Type",
"type": "string"
}
},
"required": [
"file_id",
"name",
"size",
"type"
],
"title": "FileAttachmentEntity",
"type": "object"
},
"MessageAuthor": {
"enum": [
"user",
"agent"
],
"title": "MessageAuthor",
"type": "string"
},
"MessageStyle": {
"enum": [
"static",
"active"
],
"title": "MessageStyle",
"type": "string"
},
"ReasoningContentEntityOptional": {
"properties": {
"type": {
"anyOf": [
{
"const": "reasoning",
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The type of the message, in this case reasoning.",
"title": "Type"
},
"author": {
"anyOf": [
{
"$ref": "#/$defs/MessageAuthor"
},
{
"type": "null"
}
],
"default": null,
"description": "The role of the messages author, in this case system, user, assistant, or tool."
},
"style": {
"anyOf": [
{
"$ref": "#/$defs/MessageStyle"
},
{
"type": "null"
}
],
"default": null,
"description": "The style of the message. This is used by the client to determine how to display the message."
},
"summary": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
],
"default": null,
"description": "A list of short reasoning summaries",
"title": "Summary"
},
"content": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
],
"default": null,
"description": "The reasoning content or chain-of-thought text",
"title": "Content"
}
},
"title": "ReasoningContentEntityOptional",
"type": "object"
},
"TextContentEntityOptional": {
"properties": {
"type": {
"anyOf": [
{
"const": "text",
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The type of the message, in this case text.",
"title": "Type"
},
"author": {
"anyOf": [
{
"$ref": "#/$defs/MessageAuthor"
},
{
"type": "null"
}
],
"default": null,
"description": "The role of the messages author, in this case system, user, assistant, or tool."
},
"style": {
"anyOf": [
{
"$ref": "#/$defs/MessageStyle"
},
{
"type": "null"
}
],
"default": null,
"description": "The style of the message. This is used by the client to determine how to display the message."
},
"format": {
"anyOf": [
{
"$ref": "#/$defs/TextFormat"
},
{
"type": "null"
}
],
"default": null,
"description": "The format of the message. This is used by the client to determine how to display the message."
},
"content": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The contents of the text message.",
"title": "Content"
},
"attachments": {
"anyOf": [
{
"items": {
"$ref": "#/$defs/FileAttachmentEntity"
},
"type": "array"
},
{
"type": "null"
}
],
"default": null,
"description": "Optional list of file attachments with structured metadata.",
"title": "Attachments"
}
},
"title": "TextContentEntityOptional",
"type": "object"
},
"TextFormat": {
"enum": [
"markdown",
"plain",
"code"
],
"title": "TextFormat",
"type": "string"
},
"ToolRequestContentEntityOptional": {
"properties": {
"type": {
"anyOf": [
{
"const": "tool_request",
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The type of the message, in this case tool_request.",
"title": "Type"
},
"author": {
"anyOf": [
{
"$ref": "#/$defs/MessageAuthor"
},
{
"type": "null"
}
],
"default": null,
"description": "The role of the messages author, in this case system, user, assistant, or tool."
},
"style": {
"anyOf": [
{
"$ref": "#/$defs/MessageStyle"
},
{
"type": "null"
}
],
"default": null,
"description": "The style of the message. This is used by the client to determine how to display the message."
},
"tool_call_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The ID of the tool call that is being requested.",
"title": "Tool Call Id"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The name of the tool that is being requested.",
"title": "Name"
},
"arguments": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"default": null,
"description": "The arguments to the tool.",
"title": "Arguments"
}
},
"title": "ToolRequestContentEntityOptional",
"type": "object"
},
"ToolResponseContentEntityOptional": {
"properties": {
"type": {
"anyOf": [
{
"const": "tool_response",
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The type of the message, in this case tool_response.",
"title": "Type"
},
"author": {
"anyOf": [
{
"$ref": "#/$defs/MessageAuthor"
},
{
"type": "null"
}
],
"default": null,
"description": "The role of the messages author, in this case system, user, assistant, or tool."
},
"style": {
"anyOf": [
{
"$ref": "#/$defs/MessageStyle"
},
{
"type": "null"
}
],
"default": null,
"description": "The style of the message. This is used by the client to determine how to display the message."
},
"tool_call_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The ID of the tool call that is being responded to.",
"title": "Tool Call Id"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "The name of the tool that is being responded to.",
"title": "Name"
},
"content": {
"anyOf": [
{},
{
"type": "null"
}
],
"default": null,
"description": "The result of the tool.",
"title": "Content"
},
"is_error": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"default": null,
"description": "Whether the tool call resulted in an error. None when the harness does not report a status.",
"title": "Is Error"
}
},
"title": "ToolResponseContentEntityOptional",
"type": "object"
}
},
"description": "Filter model for TaskMessage - all fields optional for flexible filtering.\n\nThe exclude field determines whether this filter is inclusionary or exclusionary.\nWhen multiple filters are provided:\n- Inclusionary filters (exclude=False) are OR'd together\n- Exclusionary filters (exclude=True) are OR'd together and negated with $nor\n- The two groups are AND'd: (include1 OR include2) AND NOT (exclude1 OR exclude2)",
"properties": {
"content": {
"anyOf": [
{
"$ref": "#/$defs/ToolRequestContentEntityOptional"
},
{
"$ref": "#/$defs/DataContentEntityOptional"
},
{
"$ref": "#/$defs/TextContentEntityOptional"
},
{
"$ref": "#/$defs/ToolResponseContentEntityOptional"
},
{
"$ref": "#/$defs/ReasoningContentEntityOptional"
},
{
"type": "null"
}
],
"default": null,
"description": "Filter by message content",
"title": "Content"
},
"streaming_status": {
"anyOf": [
{
"enum": [
"IN_PROGRESS",
"DONE"
],
"type": "string"
},
{
"type": "null"
}
],
"default": null,
"description": "Filter by streaming status",
"title": "Streaming Status"
},
"exclude": {
"default": false,
"description": "If true, this filter excludes matching messages",
"title": "Exclude",
"type": "boolean"
}
},
"title": "TaskMessageEntityFilter",
"type": "object"
}
Each filter can include:
content: Filter by message content (type, author, data fields)
streaming_status: Filter by status ("IN_PROGRESS" or "DONE")
exclude: If true, excludes matching messages (default: false)
Multiple filters are combined: inclusionary filters (exclude=false) are OR'd together,
exclusionary filters (exclude=true) are OR'd and negated, then both groups are AND'd.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scale AI","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b","dark":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/dark.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=02733f39d684d796ec742853eabf0de5"},"favicon":"https://mintcdn.com/scalegp/1vQnbXFkjbQbcgd1/favicon.png?fit=max\u0026auto=format\u0026n=1vQnbXFkjbQbcgd1\u0026q=85\u0026s=f52c84ba46a7cca58551673616dabe9c","background":{"decoration":"windows"},"navbar":{"links":[],"primary":{"type":"button","label":"Platform","href":"https://app.sgp.scale.com/"}},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scalegp","hasAudioNarration":false,"actualSubdomain":"scalegp","customDomains":["docs.gp.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"sgp-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648","collectionId":"437f531c-55bf-41b5-8f5d-4e63781df61e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6abeb90f3a8b8379c1eaf648","clientVersion":"0.0.4039","searchFilterCounts":[{"language":"default","tag":"API Reference","count":235},{"language":"default","tag":"AgentOps API","count":141},{"language":"default","tag":"Guides","count":131},{"language":"default","tag":"Agentex API","count":94},{"language":"default","tag":"Evaluations","count":72},{"language":"default","tag":"Dex API","count":48},{"language":"default","tag":"Agents","count":41},{"language":"default","tag":"Evaluation Datasets","count":34},{"language":"default","tag":"Models","count":32},{"language":"default","tag":"Knowledge Bases","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Aeonik';src:url(https://fonts.gstatic.com/s/inter/v18/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7W0Q5nw.woff2);font-weight:400;font-style:normal;font-display:swap}h1,h2,h3{font-family:'aeonik';letter-spacing:normal!important}"}],"page":{"pagePath":"reference/agentex/messages/list-messages","slug":"/reference/agentex/messages/list-messages","pageMetadata":{"title":"List Messages","description":"List messages for a task with offset-based pagination.\n\nFor cursor-based pagination with infinite scroll support, use /messages/paginated.","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /messages","href":"/reference/agentex/messages/list-messages","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"List messages for a task with offset-based pagination.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"For cursor-based pagination with infinite scroll support, use /messages/paginated.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Messages","description":"List messages for a task with offset-based pagination.\n\nFor cursor-based pagination with infinite scroll support, use /messages/paginated.","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /messages","href":"/reference/agentex/messages/list-messages","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Messages"],"summary":"List Messages","description":"List messages for a task with offset-based pagination.\n\nFor cursor-based pagination with infinite scroll support, use /messages/paginated.","operationId":"list_messages_messages_get","parameters":["9d1f05ef-f546-4b2b-8f6d-888615acffc4","d4b90d70-3213-49b9-95bd-e52758222e38","4b92a65a-0eb2-40bf-8885-0459b33b2308","1187bc75-f445-4fd4-91c0-ee26bf0c9b12","0ee532df-769f-45f6-b7b1-9e1407268c4d","487c9980-07ab-44f2-aac1-2d12c7a4cc5a"],"responses":{"200":"e8daff41-6748-4d60-9161-689becff02f0","422":"f8c86854-bb99-4269-bf60-68130a799af8"},"method":"get","type":"path","servers":[],"security":[],"path":"/messages","baseUrlOptions":[],"title":"List Messages","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"9d1f05ef-f546-4b2b-8f6d-888615acffc4":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":50,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"}},"d4b90d70-3213-49b9-95bd-e52758222e38":{"name":"page_number","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page Number","isRequired":false,"uniqueKey":"","typeLabel":"integer"}},"4b92a65a-0eb2-40bf-8885-0459b33b2308":{"name":"order_by","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Order By","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Order By","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"1187bc75-f445-4fd4-91c0-ee26bf0c9b12":{"name":"order_direction","in":"query","required":false,"schema":{"type":"string","default":"desc","title":"Order Direction","isRequired":false,"uniqueKey":"","typeLabel":"string"}},"0ee532df-769f-45f6-b7b1-9e1407268c4d":{"name":"filters","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Filters","description":"JSON-encoded array of TaskMessageEntityFilter objects.\n\nSchema: {\n \"$defs\": {\n \"DataContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"data\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `data`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"data\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the data message.\",\n \"title\": \"Data\"\n }\n },\n \"title\": \"DataContentEntityOptional\",\n \"type\": \"object\"\n },\n \"FileAttachmentEntity\": {\n \"description\": \"Represents a file attachment in messages.\",\n \"properties\": {\n \"file_id\": {\n \"description\": \"The unique ID of the attached file\",\n \"title\": \"File Id\",\n \"type\": \"string\"\n },\n \"name\": {\n \"description\": \"The name of the file\",\n \"title\": \"Name\",\n \"type\": \"string\"\n },\n \"size\": {\n \"description\": \"The size of the file in bytes\",\n \"title\": \"Size\",\n \"type\": \"integer\"\n },\n \"type\": {\n \"description\": \"The MIME type or content type of the file\",\n \"title\": \"Type\",\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"file_id\",\n \"name\",\n \"size\",\n \"type\"\n ],\n \"title\": \"FileAttachmentEntity\",\n \"type\": \"object\"\n },\n \"MessageAuthor\": {\n \"enum\": [\n \"user\",\n \"agent\"\n ],\n \"title\": \"MessageAuthor\",\n \"type\": \"string\"\n },\n \"MessageStyle\": {\n \"enum\": [\n \"static\",\n \"active\"\n ],\n \"title\": \"MessageStyle\",\n \"type\": \"string\"\n },\n \"ReasoningContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"reasoning\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `reasoning`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"summary\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"A list of short reasoning summaries\",\n \"title\": \"Summary\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The reasoning content or chain-of-thought text\",\n \"title\": \"Content\"\n }\n },\n \"title\": \"ReasoningContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"text\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `text`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"format\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/TextFormat\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The format of the message. This is used by the client to determine how to display the message.\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the text message.\",\n \"title\": \"Content\"\n },\n \"attachments\": {\n \"anyOf\": [\n {\n \"items\": {\n \"$ref\": \"#/$defs/FileAttachmentEntity\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Optional list of file attachments with structured metadata.\",\n \"title\": \"Attachments\"\n }\n },\n \"title\": \"TextContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextFormat\": {\n \"enum\": [\n \"markdown\",\n \"plain\",\n \"code\"\n ],\n \"title\": \"TextFormat\",\n \"type\": \"string\"\n },\n \"ToolRequestContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_request\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_request`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being requested.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being requested.\",\n \"title\": \"Name\"\n },\n \"arguments\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The arguments to the tool.\",\n \"title\": \"Arguments\"\n }\n },\n \"title\": \"ToolRequestContentEntityOptional\",\n \"type\": \"object\"\n },\n \"ToolResponseContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_response\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_response`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being responded to.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being responded to.\",\n \"title\": \"Name\"\n },\n \"content\": {\n \"anyOf\": [\n {},\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The result of the tool.\",\n \"title\": \"Content\"\n },\n \"is_error\": {\n \"anyOf\": [\n {\n \"type\": \"boolean\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Whether the tool call resulted in an error. `None` when the harness does not report a status.\",\n \"title\": \"Is Error\"\n }\n },\n \"title\": \"ToolResponseContentEntityOptional\",\n \"type\": \"object\"\n }\n },\n \"description\": \"Filter model for TaskMessage - all fields optional for flexible filtering.\\n\\nThe `exclude` field determines whether this filter is inclusionary or exclusionary.\\nWhen multiple filters are provided:\\n- Inclusionary filters (exclude=False) are OR'd together\\n- Exclusionary filters (exclude=True) are OR'd together and negated with $nor\\n- The two groups are AND'd: (include1 OR include2) AND NOT (exclude1 OR exclude2)\",\n \"properties\": {\n \"content\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/ToolRequestContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/DataContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/TextContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ToolResponseContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ReasoningContentEntityOptional\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by message content\",\n \"title\": \"Content\"\n },\n \"streaming_status\": {\n \"anyOf\": [\n {\n \"enum\": [\n \"IN_PROGRESS\",\n \"DONE\"\n ],\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by streaming status\",\n \"title\": \"Streaming Status\"\n },\n \"exclude\": {\n \"default\": false,\n \"description\": \"If true, this filter excludes matching messages\",\n \"title\": \"Exclude\",\n \"type\": \"boolean\"\n }\n },\n \"title\": \"TaskMessageEntityFilter\",\n \"type\": \"object\"\n}\n\nEach filter can include:\n- `content`: Filter by message content (type, author, data fields)\n- `streaming_status`: Filter by status (\"IN_PROGRESS\" or \"DONE\")\n- `exclude`: If true, excludes matching messages (default: false)\n\nMultiple filters are combined: inclusionary filters (exclude=false) are OR'd together,\nexclusionary filters (exclude=true) are OR'd and negated, then both groups are AND'd.\n","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Filters","description":"JSON-encoded array of TaskMessageEntityFilter objects.\n\nSchema: {\n \"$defs\": {\n \"DataContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"data\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `data`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"data\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the data message.\",\n \"title\": \"Data\"\n }\n },\n \"title\": \"DataContentEntityOptional\",\n \"type\": \"object\"\n },\n \"FileAttachmentEntity\": {\n \"description\": \"Represents a file attachment in messages.\",\n \"properties\": {\n \"file_id\": {\n \"description\": \"The unique ID of the attached file\",\n \"title\": \"File Id\",\n \"type\": \"string\"\n },\n \"name\": {\n \"description\": \"The name of the file\",\n \"title\": \"Name\",\n \"type\": \"string\"\n },\n \"size\": {\n \"description\": \"The size of the file in bytes\",\n \"title\": \"Size\",\n \"type\": \"integer\"\n },\n \"type\": {\n \"description\": \"The MIME type or content type of the file\",\n \"title\": \"Type\",\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"file_id\",\n \"name\",\n \"size\",\n \"type\"\n ],\n \"title\": \"FileAttachmentEntity\",\n \"type\": \"object\"\n },\n \"MessageAuthor\": {\n \"enum\": [\n \"user\",\n \"agent\"\n ],\n \"title\": \"MessageAuthor\",\n \"type\": \"string\"\n },\n \"MessageStyle\": {\n \"enum\": [\n \"static\",\n \"active\"\n ],\n \"title\": \"MessageStyle\",\n \"type\": \"string\"\n },\n \"ReasoningContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"reasoning\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `reasoning`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"summary\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"A list of short reasoning summaries\",\n \"title\": \"Summary\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The reasoning content or chain-of-thought text\",\n \"title\": \"Content\"\n }\n },\n \"title\": \"ReasoningContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"text\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `text`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"format\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/TextFormat\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The format of the message. This is used by the client to determine how to display the message.\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the text message.\",\n \"title\": \"Content\"\n },\n \"attachments\": {\n \"anyOf\": [\n {\n \"items\": {\n \"$ref\": \"#/$defs/FileAttachmentEntity\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Optional list of file attachments with structured metadata.\",\n \"title\": \"Attachments\"\n }\n },\n \"title\": \"TextContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextFormat\": {\n \"enum\": [\n \"markdown\",\n \"plain\",\n \"code\"\n ],\n \"title\": \"TextFormat\",\n \"type\": \"string\"\n },\n \"ToolRequestContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_request\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_request`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being requested.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being requested.\",\n \"title\": \"Name\"\n },\n \"arguments\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The arguments to the tool.\",\n \"title\": \"Arguments\"\n }\n },\n \"title\": \"ToolRequestContentEntityOptional\",\n \"type\": \"object\"\n },\n \"ToolResponseContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_response\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_response`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being responded to.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being responded to.\",\n \"title\": \"Name\"\n },\n \"content\": {\n \"anyOf\": [\n {},\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The result of the tool.\",\n \"title\": \"Content\"\n },\n \"is_error\": {\n \"anyOf\": [\n {\n \"type\": \"boolean\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Whether the tool call resulted in an error. `None` when the harness does not report a status.\",\n \"title\": \"Is Error\"\n }\n },\n \"title\": \"ToolResponseContentEntityOptional\",\n \"type\": \"object\"\n }\n },\n \"description\": \"Filter model for TaskMessage - all fields optional for flexible filtering.\\n\\nThe `exclude` field determines whether this filter is inclusionary or exclusionary.\\nWhen multiple filters are provided:\\n- Inclusionary filters (exclude=False) are OR'd together\\n- Exclusionary filters (exclude=True) are OR'd together and negated with $nor\\n- The two groups are AND'd: (include1 OR include2) AND NOT (exclude1 OR exclude2)\",\n \"properties\": {\n \"content\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/ToolRequestContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/DataContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/TextContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ToolResponseContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ReasoningContentEntityOptional\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by message content\",\n \"title\": \"Content\"\n },\n \"streaming_status\": {\n \"anyOf\": [\n {\n \"enum\": [\n \"IN_PROGRESS\",\n \"DONE\"\n ],\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by streaming status\",\n \"title\": \"Streaming Status\"\n },\n \"exclude\": {\n \"default\": false,\n \"description\": \"If true, this filter excludes matching messages\",\n \"title\": \"Exclude\",\n \"type\": \"boolean\"\n }\n },\n \"title\": \"TaskMessageEntityFilter\",\n \"type\": \"object\"\n}\n\nEach filter can include:\n- `content`: Filter by message content (type, author, data fields)\n- `streaming_status`: Filter by status (\"IN_PROGRESS\" or \"DONE\")\n- `exclude`: If true, excludes matching messages (default: false)\n\nMultiple filters are combined: inclusionary filters (exclude=false) are OR'd together,\nexclusionary filters (exclude=true) are OR'd and negated, then both groups are AND'd.\n","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"JSON-encoded array of TaskMessageEntityFilter objects.\n\nSchema: {\n \"$defs\": {\n \"DataContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"data\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `data`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"data\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the data message.\",\n \"title\": \"Data\"\n }\n },\n \"title\": \"DataContentEntityOptional\",\n \"type\": \"object\"\n },\n \"FileAttachmentEntity\": {\n \"description\": \"Represents a file attachment in messages.\",\n \"properties\": {\n \"file_id\": {\n \"description\": \"The unique ID of the attached file\",\n \"title\": \"File Id\",\n \"type\": \"string\"\n },\n \"name\": {\n \"description\": \"The name of the file\",\n \"title\": \"Name\",\n \"type\": \"string\"\n },\n \"size\": {\n \"description\": \"The size of the file in bytes\",\n \"title\": \"Size\",\n \"type\": \"integer\"\n },\n \"type\": {\n \"description\": \"The MIME type or content type of the file\",\n \"title\": \"Type\",\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"file_id\",\n \"name\",\n \"size\",\n \"type\"\n ],\n \"title\": \"FileAttachmentEntity\",\n \"type\": \"object\"\n },\n \"MessageAuthor\": {\n \"enum\": [\n \"user\",\n \"agent\"\n ],\n \"title\": \"MessageAuthor\",\n \"type\": \"string\"\n },\n \"MessageStyle\": {\n \"enum\": [\n \"static\",\n \"active\"\n ],\n \"title\": \"MessageStyle\",\n \"type\": \"string\"\n },\n \"ReasoningContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"reasoning\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `reasoning`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"summary\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"A list of short reasoning summaries\",\n \"title\": \"Summary\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"items\": {\n \"type\": \"string\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The reasoning content or chain-of-thought text\",\n \"title\": \"Content\"\n }\n },\n \"title\": \"ReasoningContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"text\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `text`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"format\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/TextFormat\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The format of the message. This is used by the client to determine how to display the message.\"\n },\n \"content\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The contents of the text message.\",\n \"title\": \"Content\"\n },\n \"attachments\": {\n \"anyOf\": [\n {\n \"items\": {\n \"$ref\": \"#/$defs/FileAttachmentEntity\"\n },\n \"type\": \"array\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Optional list of file attachments with structured metadata.\",\n \"title\": \"Attachments\"\n }\n },\n \"title\": \"TextContentEntityOptional\",\n \"type\": \"object\"\n },\n \"TextFormat\": {\n \"enum\": [\n \"markdown\",\n \"plain\",\n \"code\"\n ],\n \"title\": \"TextFormat\",\n \"type\": \"string\"\n },\n \"ToolRequestContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_request\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_request`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being requested.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being requested.\",\n \"title\": \"Name\"\n },\n \"arguments\": {\n \"anyOf\": [\n {\n \"additionalProperties\": true,\n \"type\": \"object\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The arguments to the tool.\",\n \"title\": \"Arguments\"\n }\n },\n \"title\": \"ToolRequestContentEntityOptional\",\n \"type\": \"object\"\n },\n \"ToolResponseContentEntityOptional\": {\n \"properties\": {\n \"type\": {\n \"anyOf\": [\n {\n \"const\": \"tool_response\",\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The type of the message, in this case `tool_response`.\",\n \"title\": \"Type\"\n },\n \"author\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageAuthor\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.\"\n },\n \"style\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/MessageStyle\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The style of the message. This is used by the client to determine how to display the message.\"\n },\n \"tool_call_id\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The ID of the tool call that is being responded to.\",\n \"title\": \"Tool Call Id\"\n },\n \"name\": {\n \"anyOf\": [\n {\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The name of the tool that is being responded to.\",\n \"title\": \"Name\"\n },\n \"content\": {\n \"anyOf\": [\n {},\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"The result of the tool.\",\n \"title\": \"Content\"\n },\n \"is_error\": {\n \"anyOf\": [\n {\n \"type\": \"boolean\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Whether the tool call resulted in an error. `None` when the harness does not report a status.\",\n \"title\": \"Is Error\"\n }\n },\n \"title\": \"ToolResponseContentEntityOptional\",\n \"type\": \"object\"\n }\n },\n \"description\": \"Filter model for TaskMessage - all fields optional for flexible filtering.\\n\\nThe `exclude` field determines whether this filter is inclusionary or exclusionary.\\nWhen multiple filters are provided:\\n- Inclusionary filters (exclude=False) are OR'd together\\n- Exclusionary filters (exclude=True) are OR'd together and negated with $nor\\n- The two groups are AND'd: (include1 OR include2) AND NOT (exclude1 OR exclude2)\",\n \"properties\": {\n \"content\": {\n \"anyOf\": [\n {\n \"$ref\": \"#/$defs/ToolRequestContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/DataContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/TextContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ToolResponseContentEntityOptional\"\n },\n {\n \"$ref\": \"#/$defs/ReasoningContentEntityOptional\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by message content\",\n \"title\": \"Content\"\n },\n \"streaming_status\": {\n \"anyOf\": [\n {\n \"enum\": [\n \"IN_PROGRESS\",\n \"DONE\"\n ],\n \"type\": \"string\"\n },\n {\n \"type\": \"null\"\n }\n ],\n \"default\": null,\n \"description\": \"Filter by streaming status\",\n \"title\": \"Streaming Status\"\n },\n \"exclude\": {\n \"default\": false,\n \"description\": \"If true, this filter excludes matching messages\",\n \"title\": \"Exclude\",\n \"type\": \"boolean\"\n }\n },\n \"title\": \"TaskMessageEntityFilter\",\n \"type\": \"object\"\n}\n\nEach filter can include:\n- `content`: Filter by message content (type, author, data fields)\n- `streaming_status`: Filter by status (\"IN_PROGRESS\" or \"DONE\")\n- `exclude`: If true, excludes matching messages (default: false)\n\nMultiple filters are combined: inclusionary filters (exclude=false) are OR'd together,\nexclusionary filters (exclude=true) are OR'd and negated, then both groups are AND'd.\n","examples":{"single_filter":{"summary":"Filter by content type","value":"{\"content\": {\"type\": \"text\"}}"},"multiple_types":{"summary":"Filter multiple content types (OR)","value":"[{\"content\": {\"type\": \"text\"}}, {\"content\": {\"type\": \"data\"}}]"},"with_exclusion":{"summary":"Include data messages, exclude specific data types","value":"[{\"content\": {\"type\": \"data\"}}, {\"content\": {\"data\": {\"type\": \"error_report\"}}, \"exclude\": true}]"},"nested_data":{"summary":"Filter by nested data field","value":"{\"content\": {\"data\": {\"type\": \"report_status_update\"}}}"}}},"487c9980-07ab-44f2-aac1-2d12c7a4cc5a":{"name":"task_id","in":"query","required":true,"schema":{"type":"string","description":"The task ID","title":"Task Id","isRequired":true,"uniqueKey":"","typeLabel":"string"},"description":"The task ID"}},"responses":{"e8daff41-6748-4d60-9161-689becff02f0":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"task_id":{"type":"string","title":"Task Id","description":"ID of the task this message belongs to","isRequired":true,"uniqueKey":"items.[INDEX].task_id","typeLabel":"string"},"content":{"oneOf":[{"type":"object","title":"TextContent","description":"The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.","required":["author","content"],"properties":{"author":{"type":"string","enum":["user","agent"],"title":"MessageAuthor","description":"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.author","typeLabel":"enum\u003cstring>"},"content":{"type":"string","title":"Content","description":"The contents of the text message.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.content","typeLabel":"string"},"type":{"type":"string","const":"text","title":"Type","description":"The type of the message, in this case `text`.","default":"text","uniqueKey":"items.[INDEX].content.oneOf.0.type","typeLabel":"string"},"style":{"type":"string","enum":["static","active"],"title":"MessageStyle","description":"The style of the message. This is used by the client to determine how to display the message.","default":"static","uniqueKey":"items.[INDEX].content.oneOf.0.style","typeLabel":"enum\u003cstring>"},"format":{"type":"string","enum":["markdown","plain","code"],"title":"TextFormat","description":"The format of the message. This is used by the client to determine how to display the message.","default":"plain","uniqueKey":"items.[INDEX].content.oneOf.0.format","typeLabel":"enum\u003cstring>"},"attachments":{"oneOf":[{"type":"array","items":{"properties":{"file_id":{"type":"string","title":"File Id","description":"The unique ID of the attached file","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0.items.[INDEX].file_id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"The name of the file","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0.items.[INDEX].name","typeLabel":"string"},"size":{"type":"integer","title":"Size","description":"The size of the file in bytes","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0.items.[INDEX].size","typeLabel":"integer"},"type":{"type":"string","title":"Type","description":"The MIME type or content type of the file","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["file_id","name","size","type"],"title":"FileAttachment","description":"Represents a file attachment in messages.","uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0.items.[INDEX]","typeLabel":"FileAttachment · object"},"title":"Attachments","description":"Optional list of file attachments with structured metadata.","uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.0","typeLabel":"FileAttachment · object[]"},{"type":"null","title":"Attachments","description":"Optional list of file attachments with structured metadata.","uniqueKey":"items.[INDEX].content.oneOf.0.attachments.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].content.oneOf.0.attachments","typeLabel":"FileAttachment · object[] | null"}},"isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.0","typeLabel":"TextContent · object"},{"type":"object","title":"ReasoningContent","description":"The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.","required":["author","summary"],"properties":{"author":{"type":"string","enum":["user","agent"],"title":"MessageAuthor","description":"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.1.author","typeLabel":"enum\u003cstring>"},"summary":{"items":{"type":"string","uniqueKey":"items.[INDEX].content.oneOf.1.summary.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Summary","description":"A list of short reasoning summaries","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.1.summary","typeLabel":"string[]"},"type":{"type":"string","const":"reasoning","title":"Type","description":"The type of the message, in this case `reasoning`.","default":"reasoning","uniqueKey":"items.[INDEX].content.oneOf.1.type","typeLabel":"string"},"style":{"type":"string","enum":["static","active"],"title":"MessageStyle","description":"The style of the message. This is used by the client to determine how to display the message.","default":"static","uniqueKey":"items.[INDEX].content.oneOf.1.style","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].content.oneOf.1.content.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Content","description":"The reasoning content or chain-of-thought text","uniqueKey":"items.[INDEX].content.oneOf.1.content.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Content","description":"The reasoning content or chain-of-thought text","uniqueKey":"items.[INDEX].content.oneOf.1.content.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].content.oneOf.1.content","typeLabel":"string[] | null"}},"isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.1","typeLabel":"ReasoningContent · object"},{"type":"object","title":"DataContent","description":"The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.","required":["author","data"],"properties":{"author":{"type":"string","enum":["user","agent"],"title":"MessageAuthor","description":"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.2.author","typeLabel":"enum\u003cstring>"},"data":{"additionalProperties":true,"type":"object","title":"Data","description":"The contents of the data message.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.2.data","typeLabel":"Data · object"},"type":{"type":"string","const":"data","title":"Type","description":"The type of the message, in this case `data`.","default":"data","uniqueKey":"items.[INDEX].content.oneOf.2.type","typeLabel":"string"},"style":{"type":"string","enum":["static","active"],"title":"MessageStyle","description":"The style of the message. This is used by the client to determine how to display the message.","default":"static","uniqueKey":"items.[INDEX].content.oneOf.2.style","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.2","typeLabel":"DataContent · object"},{"type":"object","title":"ToolRequestContent","description":"The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.","required":["author","tool_call_id","name","arguments"],"properties":{"author":{"type":"string","enum":["user","agent"],"title":"MessageAuthor","description":"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.3.author","typeLabel":"enum\u003cstring>"},"tool_call_id":{"type":"string","title":"Tool Call Id","description":"The ID of the tool call that is being requested.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.3.tool_call_id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"The name of the tool that is being requested.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.3.name","typeLabel":"string"},"arguments":{"additionalProperties":true,"type":"object","title":"Arguments","description":"The arguments to the tool.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.3.arguments","typeLabel":"Arguments · object"},"type":{"type":"string","const":"tool_request","title":"Type","description":"The type of the message, in this case `tool_request`.","default":"tool_request","uniqueKey":"items.[INDEX].content.oneOf.3.type","typeLabel":"string"},"style":{"type":"string","enum":["static","active"],"title":"MessageStyle","description":"The style of the message. This is used by the client to determine how to display the message.","default":"static","uniqueKey":"items.[INDEX].content.oneOf.3.style","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.3","typeLabel":"ToolRequestContent · object"},{"type":"object","title":"ToolResponseContent","description":"The content of the message. This content is not OpenAI compatible. These are messages that are meant to be displayed to the user.","required":["author","tool_call_id","name","content"],"properties":{"author":{"type":"string","enum":["user","agent"],"title":"MessageAuthor","description":"The role of the messages author, in this case `system`, `user`, `assistant`, or `tool`.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.4.author","typeLabel":"enum\u003cstring>"},"tool_call_id":{"type":"string","title":"Tool Call Id","description":"The ID of the tool call that is being responded to.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.4.tool_call_id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"The name of the tool that is being responded to.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.4.name","typeLabel":"string"},"content":{"title":"Content","description":"The result of the tool.","isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.4.content","typeLabel":"any"},"type":{"type":"string","const":"tool_response","title":"Type","description":"The type of the message, in this case `tool_response`.","default":"tool_response","uniqueKey":"items.[INDEX].content.oneOf.4.type","typeLabel":"string"},"style":{"type":"string","enum":["static","active"],"title":"MessageStyle","description":"The style of the message. This is used by the client to determine how to display the message.","default":"static","uniqueKey":"items.[INDEX].content.oneOf.4.style","typeLabel":"enum\u003cstring>"},"is_error":{"oneOf":[{"type":"boolean","title":"Is Error","description":"Whether the tool call resulted in an error. `None` when the harness does not report a status.","uniqueKey":"items.[INDEX].content.oneOf.4.is_error.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Error","description":"Whether the tool call resulted in an error. `None` when the harness does not report a status.","uniqueKey":"items.[INDEX].content.oneOf.4.is_error.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].content.oneOf.4.is_error","typeLabel":"boolean | null"}},"isRequired":true,"uniqueKey":"items.[INDEX].content.oneOf.4","typeLabel":"ToolResponseContent · object"}],"isRequired":true,"uniqueKey":"items.[INDEX].content","typeLabel":"TextContent · object | ReasoningContent · object | DataContent · object | ToolRequestContent · object | ToolResponseContent · object"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The task message's unique id","uniqueKey":"items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Id","description":"The task message's unique id","uniqueKey":"items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].id","typeLabel":"string | null"},"streaming_status":{"oneOf":[{"type":"string","title":"In case of streaming, this indicates whether the message is still being streamed or has been completed","enum":["IN_PROGRESS","DONE"],"uniqueKey":"items.[INDEX].streaming_status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","title":"In case of streaming, this indicates whether the message is still being streamed or has been completed","uniqueKey":"items.[INDEX].streaming_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].streaming_status","typeLabel":"enum\u003cstring> | null"},"created_at":{"oneOf":[{"type":"string","title":"Created At","description":"The timestamp when the message was created","format":"date-time","uniqueKey":"items.[INDEX].created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Created At","description":"The timestamp when the message was created","uniqueKey":"items.[INDEX].created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","title":"Updated At","description":"The timestamp when the message was last updated","format":"date-time","uniqueKey":"items.[INDEX].updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Updated At","description":"The timestamp when the message was last updated","uniqueKey":"items.[INDEX].updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].updated_at","typeLabel":"string\u003cdate-time> | null"}},"type":"object","required":["task_id","content"],"title":"TaskMessage","description":"Represents a message in the agent system.\n\nThis entity is used to store messages in MongoDB, with each message\nassociated with a specific task.","uniqueKey":"items.[INDEX]","typeLabel":"TaskMessage · object"},"title":"Response List Messages Messages Get","uniqueKey":"","typeLabel":"TaskMessage · object[]"},"examples":{"Example":{"title":"Example","value":[{"task_id":"\u003cstring>","content":{"author":"user","content":"\u003cstring>","type":"text","style":"static","format":"plain","attachments":[{"file_id":"\u003cstring>","name":"\u003cstring>","size":123,"type":"\u003cstring>"}]},"id":"\u003cstring>","streaming_status":"IN_PROGRESS","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z"}]}},"exampleType":"generated"}},"exampleType":"generated"},"f8c86854-bb99-4269-bf60-68130a799af8":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"https://agentex.dev-sgp.scale.com/openapi.json"},"subdomain":"scalegp","siteName":"Scale AI","title":"List Messages - Scale AI","navMaps":{"firstHrefInVersion":{"V5":{"href":"/reference/agentex/messages/list-messages","matchLevel":0},"V4 (legacy)":{"href":"/home","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-09-28T19:56:24.082Z","originalFileLocation":"reference/agentex/messages/list-messages.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List messages for a task with offset-based pagination. For cursor-based pagination with infinite scroll support, use /messages/paginated.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Messages - Scale AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"List messages for a task with offset-based pagination. For cursor-based pagination with infinite scroll support, use /messages/paginated.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scale AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gp.scale.com/reference/agentex/messages/list-messages\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Messages\u0026amp;title=List+Messages\u0026amp;description=List+messages+for+a+task+with+offset-based+pagination.%0A%0AFor+cursor-based+pagination+with+infinite+scroll+support%2C+use+%2Fmessages%2Fpaginated.\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=a58136db5542edd7ed5eaf1d28d45327802d2b682e08115fae351c3c5c2ff99a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Messages - Scale AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List messages for a task with offset-based pagination. For cursor-based pagination with infinite scroll support, use /messages/paginated.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Messages\u0026amp;title=List+Messages\u0026amp;description=List+messages+for+a+task+with+offset-based+pagination.%0A%0AFor+cursor-based+pagination+with+infinite+scroll+support%2C+use+%2Fmessages%2Fpaginated.\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=a58136db5542edd7ed5eaf1d28d45327802d2b682e08115fae351c3c5c2ff99a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gp.scale.com/reference/agentex/messages/list-messages\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/agentex/messages/list-messages.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gp.scale.com/#organization\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gp.scale.com#website\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages#webpage\",\"url\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages\",\"name\":\"List Messages\",\"description\":\"List messages for a task with offset-based pagination. For cursor-based pagination with infinite scroll support, use /messages/paginated.\",\"dateModified\":\"2026-09-28T19:56:24.082Z\",\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Messages\",\"item\":\"https://docs.gp.scale.com/reference/agentex/messages/batch-update-messages\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List Messages\",\"item\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages#apireference\",\"headline\":\"List Messages\",\"name\":\"List Messages\",\"description\":\"List messages for a task with offset-based pagination. For cursor-based pagination with infinite scroll support, use /messages/paginated.\",\"url\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gp.scale.com/reference/agentex/messages/list-messages#webpage\"},\"dateModified\":\"2026-09-28T19:56:24.082Z\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"}}]}\u003c/script>","siteName":"Scale AI","nav":{"global":null,"versions":[{"version":"V5","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/v5/overview"}]},{"tab":"AgentOps API","pages":[{"title":"AgentOps API","href":"/reference/v5/inference/run-inference-with-free-form-payload"}]},{"tab":"AgentOps SDK","href":"https://scaleapi.github.io/sgp-sdk-docs/api/python/"},{"tab":"Agentex API","groups":[{"group":"Agents","pages":[{"title":"Get Agent by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}","href":"/reference/agentex/agents/get-agent-by-id"},{"title":"Delete Agent by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agents/{agent_id}","href":"/reference/agentex/agents/delete-agent-by-id"},{"title":"Get Agent by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/name/{agent_name}","href":"/reference/agentex/agents/get-agent-by-name"},{"title":"Delete Agent by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agents/name/{agent_name}","href":"/reference/agentex/agents/delete-agent-by-name"},{"title":"List Agents","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents","href":"/reference/agentex/agents/list-agents"},{"title":"Register Agent","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/register","href":"/reference/agentex/agents/register-agent"},{"title":"Register Build","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/register-build","href":"/reference/agentex/agents/register-build"},{"title":"Forward GET request to agent by name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/forward/name/{agent_name}/{path}","href":"/reference/agentex/agents/forward-get-request-to-agent-by-name"},{"title":"Forward POST request to agent by name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/forward/name/{agent_name}/{path}","href":"/reference/agentex/agents/forward-post-request-to-agent-by-name"},{"title":"Handle Agent RPC by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/rpc","href":"/reference/agentex/agents/handle-agent-rpc-by-id"},{"title":"Handle Agent RPC by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/name/{agent_name}/rpc","href":"/reference/agentex/agents/handle-agent-rpc-by-name"}]},{"group":"Tasks","pages":[{"title":"Get Task by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/{task_id}","href":"/reference/agentex/tasks/get-task-by-id"},{"title":"Update Task by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /tasks/{task_id}","href":"/reference/agentex/tasks/update-task-by-id"},{"title":"Delete Task by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /tasks/{task_id}","href":"/reference/agentex/tasks/delete-task-by-id"},{"title":"Get Task by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/name/{task_name}","href":"/reference/agentex/tasks/get-task-by-name"},{"title":"Update Task by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /tasks/name/{task_name}","href":"/reference/agentex/tasks/update-task-by-name"},{"title":"Delete Task by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /tasks/name/{task_name}","href":"/reference/agentex/tasks/delete-task-by-name"},{"title":"List Tasks","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks","href":"/reference/agentex/tasks/list-tasks"},{"title":"Complete Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/complete","href":"/reference/agentex/tasks/complete-task"},{"title":"Fail Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/fail","href":"/reference/agentex/tasks/fail-task"},{"title":"Cancel Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/cancel","href":"/reference/agentex/tasks/cancel-task"},{"title":"Interrupt Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/interrupt","href":"/reference/agentex/tasks/interrupt-task"},{"title":"Terminate Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/terminate","href":"/reference/agentex/tasks/terminate-task"},{"title":"Timeout Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/timeout","href":"/reference/agentex/tasks/timeout-task"},{"title":"Stream Task Events by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/{task_id}/stream","href":"/reference/agentex/tasks/stream-task-events-by-id"},{"title":"Stream Task Events by Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/name/{task_name}/stream","href":"/reference/agentex/tasks/stream-task-events-by-name"},{"title":"Query Task Workflow","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/{task_id}/query/{query_name}","href":"/reference/agentex/tasks/query-task-workflow"}]},{"group":"Messages","pages":[{"title":"Batch Update Messages","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /messages/batch","href":"/reference/agentex/messages/batch-update-messages"},{"title":"Batch Create Messages","description":null,"deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /messages/batch","href":"/reference/agentex/messages/batch-create-messages"},{"title":"List Messages","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /messages","href":"/reference/agentex/messages/list-messages"},{"title":"Create Message","description":null,"deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /messages","href":"/reference/agentex/messages/create-message"},{"title":"Get Message","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /messages/{message_id}","href":"/reference/agentex/messages/get-message"},{"title":"Update Message","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /messages/{message_id}","href":"/reference/agentex/messages/update-message"},{"title":"List Messages Paginated","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /messages/paginated","href":"/reference/agentex/messages/list-messages-paginated"}]},{"group":"Spans","pages":[{"title":"List Spans","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /spans","href":"/reference/agentex/spans/list-spans"},{"title":"Create Span","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /spans","href":"/reference/agentex/spans/create-span"},{"title":"Get Span","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /spans/{span_id}","href":"/reference/agentex/spans/get-span"},{"title":"Partial Update Span","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json patch /spans/{span_id}","href":"/reference/agentex/spans/partial-update-span"}]},{"group":"States","pages":[{"title":"List States","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /states","href":"/reference/agentex/states/list-states"},{"title":"Create Task State","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /states","href":"/reference/agentex/states/create-task-state"},{"title":"Get State by State ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /states/{state_id}","href":"/reference/agentex/states/get-state-by-state-id"},{"title":"Update Task State","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /states/{state_id}","href":"/reference/agentex/states/update-task-state"},{"title":"Delete Task State","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /states/{state_id}","href":"/reference/agentex/states/delete-task-state"}]},{"group":"Events","pages":[{"title":"Get Event","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /events/{event_id}","href":"/reference/agentex/events/get-event"},{"title":"List Events","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /events","href":"/reference/agentex/events/list-events"}]},{"group":"Slack","pages":[{"title":"Slack Events API ingress for the @agent app","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /slack/events","href":"/reference/agentex/slack/slack-events-api-ingress-for-the-@agent-app"},{"title":"Slack slash-command ingress (e.g. /agents)","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /slack/commands","href":"/reference/agentex/slack/slack-slash-command-ingress-eg-agents"},{"title":"Slack interactivity ingress (modals, shortcuts)","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /slack/interactions","href":"/reference/agentex/slack/slack-interactivity-ingress-modals-shortcuts"}]},{"group":"Agent Task Tracker","pages":[{"title":"Get Agent Task Tracker","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tracker/{tracker_id}","href":"/reference/agentex/agent-task-tracker/get-agent-task-tracker"},{"title":"Update Agent Task Tracker","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json put /tracker/{tracker_id}","href":"/reference/agentex/agent-task-tracker/update-agent-task-tracker"},{"title":"List Agent Task Trackers","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tracker","href":"/reference/agentex/agent-task-tracker/list-agent-task-trackers"}]},{"group":"Agent APIKeys","pages":[{"title":"List API keys for an agent ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agent_api_keys","href":"/reference/agentex/agent-apikeys/list-api-keys-for-an-agent-id"},{"title":"Create Api Key","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agent_api_keys","href":"/reference/agentex/agent-apikeys/create-api-key"},{"title":"Create Webhook Trigger","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agent_api_keys/webhook-trigger","href":"/reference/agentex/agent-apikeys/create-webhook-trigger"},{"title":"Return named API key for the agent ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agent_api_keys/name/{name}","href":"/reference/agentex/agent-apikeys/return-named-api-key-for-the-agent-id"},{"title":"Return the API key by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agent_api_keys/{id}","href":"/reference/agentex/agent-apikeys/return-the-api-key-by-id"},{"title":"Delete API key by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agent_api_keys/{id}","href":"/reference/agentex/agent-apikeys/delete-api-key-by-id"},{"title":"Delete API key by name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agent_api_keys/name/{api_key_name}","href":"/reference/agentex/agent-apikeys/delete-api-key-by-name"}]},{"group":"Linear","pages":[{"title":"Linear agent webhook ingress for the @agentex app","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /linear/events","href":"/reference/agentex/linear/linear-agent-webhook-ingress-for-the-@agentex-app"}]},{"group":"Integrations","pages":[{"title":"Confirm linking a Slack identity to SGP","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /integrations/slack/link","href":"/reference/agentex/integrations/confirm-linking-a-slack-identity-to-sgp"},{"title":"Complete a Slack identity link","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /integrations/slack/link","href":"/reference/agentex/integrations/complete-a-slack-identity-link"}]},{"group":"Deployment History","pages":[{"title":"Get Deployment by ID","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /deployment-history/{deployment_id}","href":"/reference/agentex/deployment-history/get-deployment-by-id"},{"title":"List Deployments for an agent","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /deployment-history","href":"/reference/agentex/deployment-history/list-deployments-for-an-agent"}]},{"group":"Deployments","pages":[{"title":"List Deployments","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/deployments","href":"/reference/agentex/deployments/list-deployments"},{"title":"Create Deployment","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/deployments","href":"/reference/agentex/deployments/create-deployment"},{"title":"Get Deployment","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/deployments/{deployment_id}","href":"/reference/agentex/deployments/get-deployment"},{"title":"Delete Deployment","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agents/{agent_id}/deployments/{deployment_id}","href":"/reference/agentex/deployments/delete-deployment"},{"title":"Promote Deployment","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/deployments/{deployment_id}/promote","href":"/reference/agentex/deployments/promote-deployment"},{"title":"Preview RPC","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/deployments/{deployment_id}/rpc","href":"/reference/agentex/deployments/preview-rpc"}]},{"group":"Schedules","pages":[{"title":"List Run Schedules","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/schedules","href":"/reference/agentex/schedules/list-run-schedules"},{"title":"Create Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules","href":"/reference/agentex/schedules/create-run-schedule"},{"title":"Get Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/schedules/name/{name}","href":"/reference/agentex/schedules/get-run-schedule-by-name"},{"title":"Delete Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agents/{agent_id}/schedules/name/{name}","href":"/reference/agentex/schedules/delete-run-schedule-by-name"},{"title":"Update Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json patch /agents/{agent_id}/schedules/name/{name}","href":"/reference/agentex/schedules/update-run-schedule-by-name"},{"title":"Get Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/schedules/{schedule_id}","href":"/reference/agentex/schedules/get-run-schedule"},{"title":"Delete Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json delete /agents/{agent_id}/schedules/{schedule_id}","href":"/reference/agentex/schedules/delete-run-schedule"},{"title":"Update Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json patch /agents/{agent_id}/schedules/{schedule_id}","href":"/reference/agentex/schedules/update-run-schedule"},{"title":"Trigger Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/name/{name}/trigger","href":"/reference/agentex/schedules/trigger-run-schedule-by-name"},{"title":"Trigger Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/{schedule_id}/trigger","href":"/reference/agentex/schedules/trigger-run-schedule"},{"title":"Skip Run Schedule Action","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/{schedule_id}/skip","href":"/reference/agentex/schedules/skip-run-schedule-action"},{"title":"Unskip Run Schedule Action","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/{schedule_id}/unskip","href":"/reference/agentex/schedules/unskip-run-schedule-action"},{"title":"Pause Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/name/{name}/pause","href":"/reference/agentex/schedules/pause-run-schedule-by-name"},{"title":"Pause Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/{schedule_id}/pause","href":"/reference/agentex/schedules/pause-run-schedule"},{"title":"Resume Run Schedule By Name","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/name/{name}/resume","href":"/reference/agentex/schedules/resume-run-schedule-by-name"},{"title":"Resume Run Schedule","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /agents/{agent_id}/schedules/{schedule_id}/resume","href":"/reference/agentex/schedules/resume-run-schedule"}]},{"group":"Checkpoints","pages":[{"title":"Get Checkpoint Tuple","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/get-tuple","href":"/reference/agentex/checkpoints/get-checkpoint-tuple"},{"title":"Put Checkpoint","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/put","href":"/reference/agentex/checkpoints/put-checkpoint"},{"title":"Put Writes","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/put-writes","href":"/reference/agentex/checkpoints/put-writes"},{"title":"List Checkpoints","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/list","href":"/reference/agentex/checkpoints/list-checkpoints"},{"title":"Delete Thread","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/delete-thread","href":"/reference/agentex/checkpoints/delete-thread"}]},{"group":"task-retention","pages":[{"title":"Export Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json get /tasks/{task_id}/export","href":"/reference/agentex/task-retention/export-task"},{"title":"Export Task To Url","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/export","href":"/reference/agentex/task-retention/export-task-to-url"},{"title":"Clean Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/clean","href":"/reference/agentex/task-retention/clean-task"},{"title":"Rehydrate Task","deprecated":null,"version":null,"openapi":"https://agentex.dev-sgp.scale.com/openapi.json post /tasks/{task_id}/rehydrate","href":"/reference/agentex/task-retention/rehydrate-task"}]}]},{"tab":"Agentex SDK","href":"https://scaleapi.github.io/agentex-sdk-docs/api/python/"},{"tab":"Capabilities","pages":[{"title":"Capabilities","href":"/docs/capabilities/overview"}]},{"tab":"Dex API","pages":[{"title":"Dex API","href":"/reference/dex/projects/list-projects"}]}]},{"version":"V4 (legacy)","pages":[{"title":"V4 (legacy)","href":"/home"}]}]},"basePath":"","title":"List Messages - Scale AI","buildId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","deploymentId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CVpqyvFO.js","utils-vpweLD0v.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js",
[...]
